#ifndef TYPES_H

#  ifdef _WIN32
#     include <windows.h>
#  endif

#  include <string>
   using std::string;

   namespace Types
   {
#  ifdef _WIN32

      bool isHidden(const string &fileName)
      {
         return(GetFileAttributes(fileName.c_str()) & FILE_ATTRIBUTE_HIDDEN);
      }

      bool isSystem(const string &fileName)
      {
         return(GetFileAttributes(fileName.c_str()) & FILE_ATTRIBUTE_SYSTEM);
      }

#  else

      bool isHidden(const string &) { return(false); }
      bool isSystem(const string &) { return(false); }

#  endif

   }
#endif

